.vertical {
  display: flex;
  flex-direction: column;
  margin-top: -8px;
  margin-bottom: -8px;
  & > *:not(.horizontal) {
    margin-top: 8px;
    margin-bottom: 8px;
  }
  & > .horizontal {
    margin-top: 0;
    margin-bottom: 0;
  }
}

.horizontal {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  margin: -8px;
  & > * {
    margin: 8px 8px;
    flex-shrink: 1;
    flex-grow: 1;
    flex-basis: 1px;
    min-width: 130px;
  }
  & > .vertical {
    margin-top: 0;
    margin-bottom: 0;
  }
}
